UbixOS V2 2.0

Functions
ffs.c File Reference
`#include <vfs/vfs.h>`
`#include <ufs/ufs.h>`
`#include <ufs/ffs.h>`
`#include <lib/kprintf.h>`
`#include <lib/kmalloc.h>`
`#include <ubixos/kpanic.h>`
`#include <string.h>`
`#include <sys/buf.h>`
Include dependency graph for ffs.c:

Go to the source code of this file.

## Functions
int | ffs_read (fileDescriptor_t *fd, char *data, uInt32 offset, long size)

## Function Documentation

## ◆ ffs_read()

int ffs_read | ( | fileDescriptor_t * | fd,
|  | char * | data,
|  | uInt32 | offset,
|  | long | size
| ) |  |

Definition at line 11 of file ffs.c.

References fileDescriptor::dmadat, fs::fs_maxfilesize, kprintf(), and dmadat::sbbuf.

Here is the call graph for this function: